if (ScriptUI.environment.keyboardState.shiftKey) {
    ErrStrs = {};
    ErrStrs.USER_CANCELLED = localize("$$$/ScriptingSupport/Error/UserCancelled=用户取消了操作");
    try {
        var idsave = charIDToTypeID("save");
        executeAction(idsave, undefined, DialogModes.ALL);
    } catch (e) {
        if (e.toString().indexOf(ErrStrs.USER_CANCELLED) != -1) {

        } else {
            alert(localize("$$$/ScriptingSupport/Error/CommandNotAvailable=该命令当前不可用"));
        }
    }
} else {
    ErrStrs = {};
    ErrStrs.USER_CANCELLED = localize("$$$/ScriptingSupport/Error/UserCancelled=用户取消了操作");
    try {
        var idCls = charIDToTypeID("Cls ");
        executeAction(idCls, undefined, DialogModes.ALL);
    } catch (e) {
        if (e.toString().indexOf(ErrStrs.USER_CANCELLED) != -1) {

        } else {
            alert(localize("$$$/ScriptingSupport/Error/CommandNotAvailable=该命令当前不可用"));
        }
    }
}